# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ScopAdhesionFiles(models.Model):
    _name = "scop.adhesion.file"
    _description = "Documents pour adhésion des coops"

    name = fields.Char("Nom du fichier", required=True)
    coop_type_id = fields.Many2one(
        comodel_name="res.partner.cooperative.form",
        string="Type de coopérative",
        required=True,
    )
    is_compulsory = fields.Boolean("Obligatoire")
    type_process = fields.Selection(
        [("project", "Projet de création"), ("adhesion", "Processus d'adhésion")],
        string="Type de process",
    )
