# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models


class ScopAdhesionLiasseFiscale(models.Model):
    _inherit = "scop.liasse.fiscale"

    # ------------------------------------------------------
    # Validation de la saisie LF avant chgt statut
    # ------------------------------------------------------
    def check_compulsory_fields_lf(self):
        """
        Check if LF is correctly filled :
        - CA sens CGSCOP
        - CA sens CGSCOP-Subv
        - VABDF sens CGSCOP
        - VABDF sens CGSCOP-Subv
        :return: errors if exist
        """
        if self.L2052_FL == 0 and self.av_cg == 0 and self.av_cgsubv == 0:
            return (
                "<li> Les données financières ne sont pas renseignées correctement "
                "(CA ou VA obligatoire)</li>"
            )
        else:
            return False
