# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ScopMembershipSubmitWizard(models.TransientModel):
    _name = "scop.membership.submit.wizard"
    _description = "Wizard: Confirmer les champs obligatoires l'adhésion"

    partner_id = fields.Many2one(
        comodel_name="res.partner", string="Coop", required=True
    )
    activity_desc = fields.Text(
        related="partner_id.activity_desc",
        readonly=False,
    )
    ur_id = fields.Many2one(related="partner_id.ur_id", readonly=False)
    list_logs = fields.Text("Liste des erreurs", compute="_compute_list_logs")

    # ------------------------------------------------------
    # Compute
    # ------------------------------------------------------
    def _compute_list_logs(self):
        self.list_logs = (
            self.partner_id.liasse_membership_id.check_compulsory_fields_lf()
        )

    # ------------------------------------------------------
    # Actions / Buttons
    # ------------------------------------------------------
    def confirm(self):
        """
        Passe la coop en statut "soumis_cg"
        """
        self.partner_id.scop_send_to_cg()

        return {"type": "ir.actions.act_window_close"}
