# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ScopRegistrationWizard(models.TransientModel):
    _name = "scop.registration.wizard"
    _description = "Wizard: Immatriculation coop"

    partner_id = fields.Many2one(
        comodel_name="res.partner", string="Coop", required=True
    )
    naf_id = fields.Many2one(related="partner_id.naf_id", readonly=False)
    registration_date = fields.Date(
        related="partner_id.registration_date", readonly=False
    )
    siret = fields.Char(related="partner_id.siret", readonly=False)

    # ------------------------------------------------------
    # Actions / Buttons
    # ------------------------------------------------------
    def confirm_registration(self):
        """
        Passe la coop en statut "4_suivi"
        """
        last_period = self.partner_id.scop_period_ids.filtered(lambda p: not p.end)
        if last_period:
            last_period.ensure_one()
            last_period.update(
                {
                    "end": self.registration_date,
                    "end_reason": "registration",
                }
            )
        self.partner_id.sudo()._add_period(self.partner_id)
        self.partner_id.update({"is_registration_in_progress": False})
        return {"type": "ir.actions.act_window_close"}
